// Made by Willy, licensed under the Creative Commons - GNU 
// GPL license. 
// Rostock

iu = 2/sqrt(3); // Faktor für $fn=6 cylinder damit Bohrung passt
iu8 = 2*(sqrt(2)-1)/sqrt(2-sqrt(2)); // Faktor für $fn=8 cylinder 

difference() {
 linear_extrude(file = "Platform_MA2.dxf", 
  height = 9.6, $fn=60, convexity = 3, center = true);

 translate([0, 33, 0]) scale([1, 0.98, 1]) rotate([0, 90, 0]) 
  rotate([0, 0, 30]) cylinder(r=iu*3.6, h=88.2, center=true, $fn=6);
 translate([0, 33, 0]) scale([1, 0.98, 1]) rotate([0, 90, 0]) 
  rotate([0, 0, 30]) cylinder(r=iu*3.2, h=98, center=true, $fn=6);

 rotate([0, 0, 120]) {
  translate([0, 33, 0]) scale([1, 0.98, 1]) rotate([0, 90, 0]) 
   rotate([0, 0, 30]) cylinder(r=iu*3.6, h=88.2, center=true, $fn=6);
  translate([0, 33, 0]) scale([1, 0.98, 1]) rotate([0, 90, 0]) 
   rotate([0, 0, 30]) cylinder(r=iu*3.2, h=98, center=true, $fn=6);
 }

 rotate([0, 0, 240]) {
  translate([0, 33, 0]) scale([1, 0.98, 1]) rotate([0, 90, 0]) 
   rotate([0, 0, 30]) cylinder(r=iu*3.6, h=88.2, center=true, $fn=6);
  translate([0, 33, 0]) scale([1, 0.98, 1]) rotate([0, 90, 0]) 
   rotate([0, 0, 30]) cylinder(r=iu*3.2, h=98, center=true, $fn=6);
 }
 // Abschrägen:
 translate([0, 42, -4]) rotate([0, 90, 0]) 
  rotate([0, 0, 180]) cylinder(r=6, h=100, center=true, $fn=3);
 translate([0, 42,  4]) rotate([0, 90, 0]) 
  rotate([0, 0, 0]) cylinder(r=6, h=100, center=true, $fn=3);
 rotate([0, 0, 120]) {
  translate([0, 42, -4]) rotate([0, 90, 0]) 
   rotate([0, 0, 180]) cylinder(r=6, h=100, center=true, $fn=3);
  translate([0, 42,  4]) rotate([0, 90, 0]) 
   rotate([0, 0, 0]) cylinder(r=6, h=100, center=true, $fn=3);
 }
 rotate([0, 0, 240]) {
  translate([0, 42, -4]) rotate([0, 90, 0]) 
   rotate([0, 0, 180]) cylinder(r=6, h=100, center=true, $fn=3);
  translate([0, 42,  4]) rotate([0, 90, 0]) 
   rotate([0, 0, 0]) cylinder(r=6, h=100, center=true, $fn=3);
 }
}

