// Made by Willy, licensed under the Creative Commons - GNU 
// GPL license. 
// Rostock

iu = 2/sqrt(3); // Faktor für $fn=6 cylinder damit Bohrung passt
iu8 = 2*(sqrt(2)-1)/sqrt(2-sqrt(2)); // Faktor für $fn=8 cylinder 
ll = 186; // Strebenlänge Lager zu Lager

// for(i = [-0.5:0.5]) translate([i*13.8/sqrt(2),-i*13.8/sqrt(2), 0])
//rotate([0, 0, 45]) 

difference() {
 union() {
  translate([14-ll/2, 0, 0]) cube([28, 11.4, 10], center=true);
  translate([-0.5*ll, 0, -2.5]) cube([10, 11.4,  5], center=true);
  translate([-0.5*ll, 0, 0]) rotate([90, 0, 0]) 
   cylinder(r=5, h=11.4, center=true, $fn=32);
  translate([ll/2-14, 0, 0]) cube([28, 11.4, 10], center=true);
  translate([ 0.5*ll, 0, -2.5]) cube([10, 11.4,  5], center=true);
  translate([ 0.5*ll, 0, 0]) rotate([90, 0, 0]) 
   cylinder(r=5, h=11.4, center=true, $fn=32);
  // Strebe:
  cube([ll-56, 7, 10], center=true);
 } // union
 // Strebe:
 translate([0, -5.24, 0]) rotate([0, 90, 0]) rotate([0, 0, 30]) 
  cylinder(r=iu*3, h=ll-56, center=true, $fn=6);
 translate([0,  5.24, 0]) rotate([0, 90, 0]) rotate([0, 0, 30]) 
  cylinder(r=iu*3, h=ll-56, center=true, $fn=6);
 // Lagersitz:
 difference() { 
  translate([8.5-ll/2, 0, 0]) cube([33, 5.4, 11], center=true);
  // Lagersitz:
  translate([-ll/2, 2.25, 0]) rotate([90, 0, 0]) 
   cylinder(r1=4.1, r2=2.6, h=1.5, center=true, $fn=32);
  translate([-ll/2,-2.25, 0]) rotate([270, 0, 0]) 
   cylinder(r1=4.1, r2=2.6, h=1.5, center=true, $fn=32);
 }
 difference() { 
  translate([ll/2-8.5, 0, 0]) cube([33, 5.4, 11], center=true);
  // Lagersitz:
  translate([ ll/2, 2.25, 0]) rotate([90, 0, 0]) 
   cylinder(r1=4.1, r2=2.6, h=1.5, center=true, $fn=32);
  translate([ ll/2,-2.25, 0]) rotate([270, 0, 0]) 
   cylinder(r1=4.1, r2=2.6, h=1.5, center=true, $fn=32);
 }
 // Schrauben:
 translate([-ll/2, 0, 0]) rotate([90, 0, 0]) 
  cylinder(r=iu*1.4, h=12, center=true, $fn=6);
 translate([ ll/2, 0, 0]) rotate([90, 0, 0]) 
  cylinder(r=iu*1.4, h=12, center=true, $fn=6);
}
