// Made by Willy, licensed under the Creative Commons - GNU 
// GPL license. 
// Rostock

difference() {
 rotate([-90, 0, 0]) linear_extrude(file = "netzteil.dxf", 
  height = 51.4, $fn=20, convexity = 10, center = true);
 // weg:
 translate ([66.0899, 0, 16.3056]) { 
  rotate([90, 0, 0]) {
   loch60(55, 2.2);  
  }
 }
 translate ([-66.0899, 0, 16.3056]) { 
  rotate([90, 0, 0]) {
   loch60(55, 2.2);  
  }
 }
 translate ([0, -2.4, 24]) { 
  cube([115, 51.4, 50], center = true);  
 }
 translate ([-84.9, 7, 27]) { 
  cube([50, 50, 50], center = true);  
 }
 translate ([84.9, 7, 27]) { 
  cube([50, 50, 50], center = true);  
 }
 translate ([95, 15, 23]) { 
  rotate([0, 0, 23]) {
   cube([55, 70, 50], center = true);  
  }
 }
 translate ([-95, 15, 23]) { 
  rotate([0, 0, -23]) {
   cube([55, 70, 50], center = true);  
  }
 }
}


module loch60(ll, rr) { // Reprap-Loch mit 60°
 cylinder(h = ll, r = rr, $fn=40, center = true);
 difference() { 
  translate(v = [0, rr, 0]) { // 60° Wände
   rotate(a=90, v=[0,0,1]) {
    cylinder(h = ll, r = rr, $fn=3, center = true);
   }
  }
  rotate(a= 0, v=[0,0,1]) { // Welle - 60° Deckel
   translate(v = [0, 1.5*rr, 0]) { 
     cube([1.5*rr, rr, ll], center = true);
   }
  }
 }
}







