// Made by Willy, licensed under the Creative Commons - GNU 
// GPL license. 
// Rostock

difference() {
 cube([28, 18, 60], center = true);
 // Schraublöcher:
 translate ([-8, 0, 0]) 
  cylinder(r=1.85, h=62, center=true, $fn=12);
 translate ([+8, 0, 0]) 
  cylinder(r=1.85, h=62, center=true, $fn=12);
 translate ([0, 0, 25.25]) 
  rotate([90, 0, 0])
    loch60(30, 1.7);
 translate ([0, 0, -25.25]) 
  rotate([90, 0, 0])
    loch60(30, 1.7);
 // nach unten (oben) schmaler:
 translate ([0, -4, 25]) 
  rotate([45, 0, 0]) rotate([0, 90, 0])
   cylinder(r=10, h=29, center=true, $fn=4);
 translate ([0, -13.17, 2.57]) 
  rotate([-20, 0, 0])
   cube([29, 20, 40], center=true);
 translate ([23, 0, 25]) 
  rotate([0, -20, 0])
   cube([30, 30, 30], center=true);
 translate ([-23, 0, 25]) 
  rotate([0, 20, 0])
   cube([30, 30, 30], center=true);
}

module loch60(ll, rr) { // Reprap-Loch mit 60°
 cylinder(h = ll, r = rr, $fn=40, center = true);
 difference() { 
  translate(v = [0, rr, 0]) { // 60° Wände
   rotate(a=90, v=[0,0,1]) {
    cylinder(h = ll, r = rr, $fn=3, center = true);
   }
  }
  rotate(a= 0, v=[0,0,1]) { // Welle - 60° Deckel
   translate(v = [0, 1.5*rr, 0]) { 
     cube([1.5*rr, rr, ll], center = true);
   }
  }
 }
}





