// Made by Willy, licensed under the Creative Commons - GNU 
// GPL license. 
// Rostock

iu = 2/sqrt(3); // Faktor für $fn=6 cylinder damit Bohrung passt
iu8 = 2*(sqrt(2)-1)/sqrt(2-sqrt(2)); // Faktor für $fn=8 cylinder damit Bohrung passt

difference() {
 union() {
  translate([0, 0, 0]) cube([63, 18, 4.4], center=true);
  translate([-31.5, 0, 0]) rotate([0, 0, 22.5]) 
   cylinder(r=iu8*9, h=4.4, center=true, $fn=8);
  translate([ 31.5, 0, 0]) rotate([0, 0, 22.5]) 
   cylinder(r=iu8*9, h=4.4, center=true, $fn=8);
  // Schrauben:
  translate([-40.5, 0, 0]) rotate([90, 0, 90]) 
   cylinder(r=iu*2.5, h=1, center=true, $fn=6);
  translate([ 40.5, 0, 0]) rotate([90, 0, 90]) 
   cylinder(r=iu*2.5, h=1, center=true, $fn=6);
  // Verstärkung:
  translate([0, 5, -6]) rotate([90, 0, 0]) 
   cylinder(r=13, h=3.5, center=true, $fn=60);
  translate([0, 0, -20]) rotate([90, 0, 0]) 
   cylinder(r=27, h=3.5, center=true, $fn=60);
  translate([0, -5, -40]) rotate([90, 0, 0]) 
   cylinder(r=47, h=3.5, center=true, $fn=60);
 } // union
 // Verstärkung:
 translate([0, 0, -52.2])
  cube([100, 30, 100], center=true);
 // Schrauben:
 translate([-35, 0, 0]) rotate([90, 0, 90]) 
  cylinder(r=iu*1.4, h=20, center=true, $fn=6);
 translate([ 35, 0, 0]) rotate([90, 0, 90]) 
  cylinder(r=iu*1.4, h=20, center=true, $fn=6);
 // Lager:
 translate([-25, 0, 0])  
  cylinder(r=3.5, h=10, center=true, $fn=60);
 translate([-25, 0, 0])  
  cylinder(r=3.6, h=2.8, center=true, $fn=40);
 translate([ 25, 0, 0])  
  cylinder(r=3.5, h=10, center=true, $fn=40);
 translate([ 25, 0, 0])  
  cylinder(r=3.6, h=2.8, center=true, $fn=40);
 // weg:
 translate([-44, 0, 3.2])
 cube([10, 4, 2], center=true);
 translate([ 44, 0, 3.2])
 cube([10, 4, 2], center=true);
}

