// Made by Willy, licensed under the Creative Commons - GNU 
// GPL license. 
// Rostock

use <bracket_MA.scad>

% translate([0, -2.6, -5]) bracket(10);

difference() {
 union() {
  translate([0, -5, 10]) {
   cube([60, 38.8, 20], center=true);
   translate([+30, 12.4, 0]) cylinder(r=7, h=20, center=true);
   translate([-30, 12.4, 0]) cylinder(r=7, h=20, center=true);
//   translate([0,-9.5, 10]) cylinder(r=10, h=2, center=true);
  }
 }
 // Fase:
 translate([25, -29, 8]) rotate([0, 0, 26]) {
  cube([25, 22.0, 30], center=true);
 }
 translate([-25, -29, 8]) rotate([0, 0, -26]) {
  cube([25, 22.0, 30], center=true);
 }
 // Schrägen:
 translate([0, -30.5, 8]) rotate([30, 0, 0]) {
  cube([75, 20.0, 30], center=true);
 }
 translate([0, 0.5, 32]) rotate([30, 0, 0]) {
  cube([75, 20.0, 30], center=true);
 }
 translate([0, 9.3, 29]) {
  cube([75, 20.0, 30], center=true);
 }
 translate([40.5, -15, 37]) rotate([0, 17, 0]) {
  cube([50, 30.0, 50], center=true);
 }
 translate([-40.5, -15, 37]) rotate([0, -17, 0]) {
  cube([50, 30.0, 50], center=true);
 }
 // Schraublöcher:
 translate([30, 9.4, 10]) 
  cylinder(r=2.2, 25, $fn=20, center=true);
 translate([30, 9.4, 12.9])         
  cylinder(r1 = 2, r2 = 4.5, h = 2.5, $fn = 20, center=true);
 translate([-30, 9.4, 10]) 
  cylinder(r=2.2, 25, $fn=20, center=true);
 translate([-30, 9.4, 12.9])         
  cylinder(r1 = 2, r2 = 4.5, h = 2.5, $fn = 20, center=true);
}

